lang['text_width'] = "width";
lang['text_height'] = "height";
lang['text_rotate'] = "Angle";


lang['title_cat_colors'] = 'Quick selection';
hint['title_cat_colors'] = 'A set of convenient buttons for quickly selecting objects by colors, types or some other attributes';
buts['button_scan_colors'] = 'Search';
hint['button_scan_colors'] = 'Search by colors /+ Shift Including subgroups.';
buts['button_select_colors'] = 'Choice';
hint['button_select_colors'] = 'Selecting objects by color /+ Ctrl except the selected color / + +Shift including subgroups.';
lang['ch_selcol_group'] = 'groups.';
hint['ch_selcol_group'] = 'group selected objects by colors';
lang['ch_selcol_move'] = 'shift.';
hint['ch_selcol_move'] = 'shift objects by colors';
buts['button_sel_toup'] = 'src:img/level_up.png';
hint['button_sel_toup'] = 'Move to the top layer level.';
buts['button_sel_todown'] = 'src:img/level_down.png';
hint['button_sel_todown'] = 'Move to the lower layer level.';
buts['button_del_colors'] = 'src:img/trash.gif';
hint['button_del_colors'] = 'Delete selected objects';
lang['title_cat_contur'] = 'Contour and Rounding';
hint['title_cat_contur'] = 'Contour and Rounding into multiple objects';
buts['cont_out_'] = 'out';
hint['cont_out_'] = 'Give an outline to the outside for individual objects /Shift +1 /Ctrl +0.1 / Ctrl+Shift +0.5 /Alt+Shift reverse the tick action *delete*';
buts['cont_in_'] = 'in';
hint['cont_in_'] = 'Give a contour inside for individual objects /Shift -1 /Ctrl -0.1 / Ctrl+Shift -0.5 /Alt+Shift reverse the action of the checkmark *delete*';
lang['ch_cont_sep'] = 'split';
hint['ch_cont_sep'] = 'split contour after creation';
lang['ch_cont_del'] = 'delete';
hint['ch_cont_del'] = 'delete the original object after creation (does not work without separation)';
lang['ch_cont_round'] = 'round off';
hint['ch_cont_round'] = 'round the contour of the creation field';
lang['ch_cont_reduce'] = 'smooth out';
hint['ch_cont_reduce'] = 'smooth the contour after creation';
lang['ch_cont_smart'] = 'y';
hint['ch_cont_smart'] = 'a smart contour is given to closed objects from two sides';
lang['sel_by_type_qty'] = 'Qty:';
hint['sel_by_type_qty'] = 'number of objects in selection';
lang['sel_by_type_type'] = 'Type:';
hint['sel_by_type_type'] = 'The type of the last selected object';
lang['sel_by_type_length'] = 'Length:';
hint['sel_by_type_length'] = 'Total length of all perimeters (including in groups)';
hint['ch_check_length'] = 'Check the length of objects greater than 300 pieces.';
buts['sel_by_type_rect'] = 'Straight ahead.';
hint['sel_by_type_rect'] = 'Select standard rectangles /+Ctrl select all except rectangle / +Shift including in subgroups';
buts['sel_by_type_elipse'] = 'Circle';
hint['sel_by_type_elipse'] = 'Select standard ellipses /+Ctrl select all except ellipses / +Shift including in subgroups';
buts['sel_by_type_curve'] = 'Curve';
hint['sel_by_type_curve'] = 'Select arbitrary curves /+Ctrl select all except curves / +Shift including in subgroups';
buts['sel_by_type_poly'] = 'Polygon';
hint['sel_by_type_poly'] = 'Select standard polygons /+Ctrl select all except polygons / +Shift including in subgroups';
buts['sel_by_type_text'] = 'Text';
hint['sel_by_type_text'] = ' Select all text objects / +Ctrl select all except text/ +Shift including in subgroups';
buts['sel_by_type_groups'] = 'Groups';
hint['sel_by_type_groups'] = 'Select grouped objects /+Ctrl select all except groups';
buts['sel_by_type_same'] = 'By the selected';
hint['sel_by_type_same'] = 'Select objects by the last object /+Ctrl select all except this type / +Shift including in subgroups';
buts['sel_by_type_clopen'] = 'Closed';
hint['sel_by_type_clopen'] = 'Select closed objects /+Ctrl NOT closed / +Shift including in subgroups';
buts['sel_by_type_fillno'] = 'Fill';
hint['sel_by_type_fillno'] = 'Select objects with fill /+Ctrl WITHOUT fill / +Shift including in subgroups';
buts['sel_by_type_outlno'] = 'Outline';
hint['sel_by_type_outlno'] = 'Select objects with outline /+Ctrl WITHOUT outline / +Shift including in subgroups';
buts['sel_by_type_images'] = 'Raster';
hint['sel_by_type_images'] = 'Select raster objects /+Ctrl all except raster / +Shift including in subgroups';
buts['sel_by_type_effectno'] = 'Effects';
hint['sel_by_type_effectno'] = 'Select objects with superimposed effect /+Ctrl all except effects/ +Shift including in subgroups';
buts['sel_by_type_locks'] = 'Block.';
hint['sel_by_type_locks'] = 'Select locked objects /+ Ctrl unlock all';

lang['title_cat_autogroup'] = 'Grouping, merging, cutting';
hint['title_cat_autogroup'] = 'Automatic actions with objects touching each other (or with a gap)';
lang['txtgroupgap'] = 'Gap:';
hint['txtgroupgap'] = 'Gap for automatic grouping, merging and cutting (does not work for the form)';
buts['grp_byframe'] = 'Frame';
hint['grp_byframe'] = 'Auto-grouping by the external (square) frame of the object';
buts['grp_byform'] = 'Form';
hint['grp_byform'] = 'Auto-grouping by object shape with strict clinging of objects to each other';
buts['grp_byrow'] = 'Row';
hint['grp_byrow'] = 'Auto-grouping by rows (by coincidence of centers)';
buts['grp_bycolumn'] = 'Column';
hint['grp_bycolumn'] = 'Auto-grouping by columns (by coincidence of centers)';
buts['grp_addto'] = 'Add to Group';
hint['grp_addto'] = 'Add an object to a group';
buts['grp_weld'] = 'Merge';
hint['grp_weld'] = 'Merge all objects touching each other (by gap) ';
buts['grp_autocut'] = 'Cut';
hint['grp_autocut'] = 'Cut out objects from the largest (by area) all the others are cut out';
buts['all_split'] = 'ruin everything';
//hint['all_split'] = 'Disconnect all objects, effects, text to letters, get everything from power clips.';
//hint['all_split'] = 'Disconnect all objects, effects, get everything from the power clips.';

lang['title_cat_master'] = 'Replace, swap, substitute';
hint['title_cat_master'] = 'Selection, replacement, substitution, filling according to the established pattern';
buts['master_set'] = 'Install a sample';
hint['master_set'] = 'Set the selected object as a sample for further operations./Ctrl select the master object';
buts['change_pos'] = 'Permutation';
hint['change_pos'] = 'Swaps two selected objects.';
lang['ch_master_del'] = 'Delete';
hint['ch_master_del'] = 'Delete a substituted object';
lang['ch_master_rotate'] = 'Rotate';
hint['ch_master_rotate'] = 'Rotate the substituted object if there is a state of the angle, then by the state, if the angle is zero, then by the longest side.';
buts['master_replace'] = 'Substitute';
hint['master_replace'] = 'Substitute a sample in place of the selected object';
lang['ch_master_size'] = 'Size';
hint['ch_master_size'] = 'Adjust the size of the sample to the size of the object being replaced.';
lang['ch_master_byends'] = 'At the ends';
hint['ch_master_byends'] = 'Put a sample at the ends of all segments of the object.';
buts['master_select'] = 'Select';
hint['master_select'] = 'Select objects according to certain properties (length, width, etc.)/ + Ctrl less than or equal to or greater than or equal to';
lang['ch_master_sel_h'] = lang['text_width'];
lang['ch_master_sel_w'] = lang['text_height'];
lang['radio_master_sel_l'] = '<';
lang['radio_master_sel_m'] = '>';
lang['radio_master_sel_e'] = '=';

lang['title_cat_sizes'] = "Size, perimeter, angle, distribution";
lang['ch_sizes_aspect'] = "proportions";
lang['ch_sizes_rotate'] = "with a twist";
buts['make_sizes'] = 'Size';
lang['perimetr_title'] = "Perimeter";
hint['perimetr_get_size'] = 'Take the length of the curve';
buts['perimetr_set_size'] = 'Fit';
buts['mashtab_set_size'] = 'Scale';
lang['mashtab_title'] = 'Adjust the scale for the first object';
hint['rotate_set_angle'] = 'Rotate each object by a given angle';
lang['ch_rotate_rel'] = "relates.";

lang['raspred_raspred'] = 'Distribution';
buts['raspred_qty'] = 'by name';
buts['raspred_dist'] = 'by distance';
hint['raspred_dist'] = 'Distribution of objects by specified distance /+Ctrl when distributing existing objects, keep the distances between the original objects';
buts['raspred_nodes'] = 'by nodes';
buts['raspred_round'] = 'in a circle';
buts['raspred_shapes'] = 'by objects';
hint['raspred_shapes'] = 'Scatter the first half of the objects into the second. /+Shift reverse order. /+Ctrl swap /+Alt Rename objects (half should be text)';
lang['ch_raspred_rotate'] = 'rotate';
lang['ch_raspred_center'] = 'by centers';

lang['title_cat_punktir'] = 'Dotted line, milling cutter, jumpers';
hint['title_cat_punktir'] = 'Dotted line, gaps or jumpers with a half-cut.';
lang['punkt_dash'] = "stroke";
lang['punkt_gap'] = "gap";
lang['freza'] = "under the cutter";
lang['razryv'] = "jumpers";
lang['radio_punktir_size'] = "r-r";
lang['radio_punktir_mm'] = "qty";
buts['make_punktir'] = 'Dotted line';
hint['make_punktir'] = 'Create a dotted line on all lines of objects';
buts['make_trim'] = 'Pruning';
hint['make_trim'] = 'Trimming lines from the ends to the size of the gap';
lang['ch_punkt_del'] = "delete";
hint['ch_punkt_del'] = "Delete the original points on the line and leave only the new ones created in the places of breaks";
lang['ch_punkt_join'] = "connect";
hint['ch_punkt_join'] = "Connect broken points to each other";
lang['ch_punkt_line'] = "line";
hint['ch_punkt_line'] = "Convert curved segments into a straight line";
lang['ch_punkt_trim'] = "trim";
hint['ch_punkt_trim'] = "Trim the beginning and end of the dotted line";

buts['freza_inside'] = 'Inside';
buts['freza_outside'] = 'Outside';

buts['make_gap'] = 'Gap';
lang['ch_razryv_nedorez'] = "nedorez";
lang['ch_razryv_circle'] = "circles";
buts['razryv_color'] = 'set color';
hint['razryv_color'] = 'Set the color of the line to break (the color of the circle will be inverse)';
buts['razryv_del'] = 'delete circles';
hint['razryv_del'] = 'Delete the circles that mark the incisions';

lang['title_cat_info'] = 'All kinds of different information';

lang['title_cat_settings'] = 'Panel Settings';
lang['radio_sett_selected'] = 'In the selection';
hint['radio_sett_selected'] = 'Working with objects in the selected area(if you deselect the selection, the work goes on the entire sheet)';
lang['radio_sett_doc'] = 'in the document';
hint['radio_sett_doc'] = 'Working with objects throughout the document';
lang['warn_no_selected_in_group'] = 'Not all objects are selected, because some of the objects are in groups';
var gl_units = ["dmkr","inch","foot","mm","cm","px","miles","m","km","dd","Ag","yrd","pc","cc","pt","UQ","UH"];